Name:          conan
Version:       2.10.0
Release:       1mamba
Summary:       Decentralized, open-source (MIT), C/C++ package manager
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/conan-io/conan
Source:        https://github.com/conan-io/conan.git/%{version}/conan-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(colorama)
BuildRequires: python3.11dist(distro)
BuildRequires: python3.11dist(fasteners)
BuildRequires: python3.11dist(jinja2)
BuildRequires: python3.11dist(patch-ng)
BuildRequires: python3.11dist(python-dateutil)
BuildRequires: python3.11dist(pyyaml)
BuildRequires: python3.11dist(requests)
BuildRequires: python3.11dist(setuptools)
BuildRequires: python3.11dist(urllib3)
## AUTOBUILDREQ-END

%description
Decentralized, open-source (MIT), C/C++ package manager.

%prep
%setup -q
sed -i "s|Jinja2>=.*|Jinja2|" conans/requirements.txt
sed -i "s|node-semver==.*|node-semver|" conans/requirements.txt
sed -i "s|PyJWT>=.*|PyJWT|" conans/requirements.txt
sed -i "s|distro[^;]*;|distro;|" conans/requirements.txt
sed -i "s|urllib3>=.*|urllib3|" conans/requirements.txt

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.filelist
%defattr(-,root,root)
%dir %{python3_sitearch}/conan-%{version}-py*.egg-info
%{python3_sitearch}/conan-%{version}-py*.egg-info/*

%changelog
* Wed Dec 04 2024 Automatic Build System <autodist@openmamba.org> 2.10.0-1mamba
- automatic version update by autodist

* Thu Nov 21 2024 Automatic Build System <autodist@openmamba.org> 2.9.3-1mamba
- automatic version update by autodist

* Fri Nov 08 2024 Automatic Build System <autodist@openmamba.org> 2.9.2-1mamba
- automatic version update by autodist

* Thu Oct 31 2024 Automatic Build System <autodist@openmamba.org> 2.9.1-1mamba
- automatic version update by autodist

* Wed Oct 30 2024 Automatic Build System <autodist@openmamba.org> 2.9.0-1mamba
- automatic version update by autodist

* Fri Oct 18 2024 Automatic Build System <autodist@openmamba.org> 2.8.1-1mamba
- automatic version update by autodist

* Mon Sep 30 2024 Automatic Build System <autodist@openmamba.org> 2.8.0-1mamba
- automatic version update by autodist

* Wed Sep 11 2024 Automatic Build System <autodist@openmamba.org> 2.7.1-1mamba
- automatic version update by autodist

* Thu Aug 29 2024 Automatic Build System <autodist@openmamba.org> 2.7.0-1mamba
- automatic version update by autodist

* Thu Aug 01 2024 Automatic Build System <autodist@openmamba.org> 2.6.0-1mamba
- automatic version update by autodist

* Thu Jul 04 2024 Automatic Build System <autodist@openmamba.org> 2.5.0-1mamba
- automatic version update by autodist

* Mon Jun 10 2024 Automatic Build System <autodist@openmamba.org> 2.4.1-1mamba
- automatic version update by autodist

* Wed Jun 05 2024 Automatic Build System <autodist@openmamba.org> 2.4.0-1mamba
- automatic version update by autodist

* Tue May 28 2024 Automatic Build System <autodist@openmamba.org> 2.3.2-1mamba
- automatic version update by autodist

* Fri May 17 2024 Automatic Build System <autodist@openmamba.org> 2.3.1-1mamba
- automatic version update by autodist

* Tue May 07 2024 Automatic Build System <autodist@openmamba.org> 2.3.0-1mamba
- automatic version update by autodist

* Thu Apr 18 2024 Automatic Build System <autodist@openmamba.org> 2.2.3-1mamba
- automatic version update by autodist

* Mon Mar 25 2024 Automatic Build System <autodist@openmamba.org> 2.2.2-1mamba
- automatic version update by autodist

* Thu Mar 21 2024 Automatic Build System <autodist@openmamba.org> 2.2.1-1mamba
- automatic version update by autodist

* Wed Mar 20 2024 Automatic Build System <autodist@openmamba.org> 2.2.0-1mamba
- automatic version update by autodist

* Fri Feb 16 2024 Automatic Build System <autodist@openmamba.org> 2.1.0-1mamba
- automatic version update by autodist

* Wed Jan 10 2024 Automatic Build System <autodist@openmamba.org> 2.0.17-1mamba
- automatic version update by autodist

* Sun Jan 07 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.16-3mamba
- loosen versioned requirement for urllib3

* Mon Dec 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.16-2mamba
- relax versioned requirement for python-distro

* Thu Dec 21 2023 Automatic Build System <autodist@mambasoft.it> 2.0.16-1mamba
- automatic version update by autodist

* Wed Dec 20 2023 Automatic Build System <autodist@mambasoft.it> 2.0.15-1mamba
- automatic version update by autodist

* Tue Nov 14 2023 Automatic Build System <autodist@mambasoft.it> 2.0.14-1mamba
- automatic version update by autodist

* Sun Oct 01 2023 Automatic Build System <autodist@mambasoft.it> 2.0.13-1mamba
- automatic version update by autodist

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 2.0.12-1mamba
- automatic version update by autodist

* Mon Sep 18 2023 Automatic Build System <autodist@mambasoft.it> 2.0.11-1mamba
- automatic version update by autodist

* Tue Aug 29 2023 Automatic Build System <autodist@mambasoft.it> 2.0.10-1mamba
- automatic version update by autodist

* Thu Jul 20 2023 Automatic Build System <autodist@mambasoft.it> 2.0.9-1mamba
- automatic version update by autodist

* Thu Jul 13 2023 Automatic Build System <autodist@mambasoft.it> 2.0.8-1mamba
- automatic version update by autodist

* Thu Jun 22 2023 Automatic Build System <autodist@mambasoft.it> 2.0.7-1mamba
- automatic version update by autodist

* Fri May 26 2023 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic version update by autodist

* Fri May 19 2023 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Wed Apr 12 2023 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Tue Apr 04 2023 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Wed Mar 15 2023 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Wed Feb 22 2023 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Fri Feb 17 2023 Automatic Build System <autodist@mambasoft.it> 1.59.0-1mamba
- automatic version update by autodist

* Tue Jan 31 2023 Automatic Build System <autodist@mambasoft.it> 1.58.0-1mamba
- automatic version update by autodist

* Thu Jan 12 2023 Automatic Build System <autodist@mambasoft.it> 1.57.0-1mamba
- automatic version update by autodist

* Wed Dec 21 2022 Automatic Build System <autodist@mambasoft.it> 1.56.0-1mamba
- automatic version update by autodist

* Wed Nov 30 2022 Automatic Build System <autodist@mambasoft.it> 1.55.0-1mamba
- automatic version update by autodist

* Wed Nov 09 2022 Automatic Build System <autodist@mambasoft.it> 1.54.0-1mamba
- automatic version update by autodist

* Wed Oct 05 2022 Automatic Build System <autodist@mambasoft.it> 1.53.0-1mamba
- automatic version update by autodist

* Wed Aug 31 2022 Automatic Build System <autodist@mambasoft.it> 1.52.0-1mamba
- automatic version update by autodist

* Thu Aug 18 2022 Automatic Build System <autodist@mambasoft.it> 1.51.3-1mamba
- automatic version update by autodist

* Fri Aug 12 2022 Automatic Build System <autodist@mambasoft.it> 1.51.2-1mamba
- automatic version update by autodist

* Wed Aug 10 2022 Automatic Build System <autodist@mambasoft.it> 1.51.1-1mamba
- automatic version update by autodist

* Fri Jul 29 2022 Automatic Build System <autodist@mambasoft.it> 1.51.0-1mamba
- automatic version update by autodist

* Wed Jun 29 2022 Automatic Build System <autodist@mambasoft.it> 1.50.0-1mamba
- automatic version update by autodist

* Fri Jun 03 2022 Automatic Build System <autodist@mambasoft.it> 1.49.0-1mamba
- automatic version update by autodist

* Wed May 18 2022 Automatic Build System <autodist@mambasoft.it> 1.48.1-1mamba
- automatic version update by autodist

* Wed May 04 2022 Automatic Build System <autodist@mambasoft.it> 1.48.0-1mamba
- automatic version update by autodist

* Thu Mar 31 2022 Automatic Build System <autodist@mambasoft.it> 1.47.0-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 1.46.2-1mamba
- automatic version update by autodist

* Thu Mar 17 2022 Automatic Build System <autodist@mambasoft.it> 1.46.1-1mamba
- automatic version update by autodist

* Tue Mar 08 2022 Automatic Build System <autodist@mambasoft.it> 1.46.0-1mamba
- automatic version update by autodist

* Thu Feb 03 2022 Automatic Build System <autodist@mambasoft.it> 1.45.0-1mamba
- automatic version update by autodist

* Fri Jan 14 2022 Automatic Build System <autodist@mambasoft.it> 1.44.1-1mamba
- automatic version update by autodist

* Wed Dec 29 2021 Automatic Build System <autodist@mambasoft.it> 1.44.0-1mamba
- automatic version update by autodist

* Wed Dec 22 2021 Automatic Build System <autodist@mambasoft.it> 1.43.2-1mamba
- automatic version update by autodist

* Fri Dec 17 2021 Automatic Build System <autodist@mambasoft.it> 1.43.1-1mamba
- automatic version update by autodist

* Fri Dec 03 2021 Automatic Build System <autodist@mambasoft.it> 1.43.0-1mamba
- automatic version update by autodist

* Tue Nov 23 2021 Automatic Build System <autodist@mambasoft.it> 1.42.2-1mamba
- automatic version update by autodist

* Mon Nov 22 2021 Automatic Build System <autodist@mambasoft.it> 1.42.1-1mamba
- automatic version update by autodist

* Sat Aug 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.39.0-1mamba
- package created using the webbuild interface
